Create my deposit addresses
curl --request POST \
--url https://prod-api.stableyard.fi/v2/client/me/deposit-addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chainIds": [
42161,
8453
]
}
'import requests
url = "https://prod-api.stableyard.fi/v2/client/me/deposit-addresses"
payload = { "chainIds": [42161, 8453] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chainIds: [42161, 8453]})
};
fetch('https://prod-api.stableyard.fi/v2/client/me/deposit-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "acct_123",
"depositAddresses": [
{
"id": "deposit_addr_123",
"accountId": "acct_123",
"chainId": 42161,
"address": "0x1111111111111111111111111111111111111111",
"supportedAssets": [
{
"chainId": 42161,
"tokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"symbol": "USDC",
"decimals": 6,
"kind": "token"
}
],
"metadata": {
"networkCode": "arbitrum",
"chainFamily": "evm"
},
"status": "active"
}
],
"nextCursor": "cursor_123"
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}Client deposits
Create deposit addresses for the client account
Create or reuse receive addresses for the account fixed by the client token.
POST
/
v2
/
client
/
me
/
deposit-addresses
Create my deposit addresses
Creates or reuses receive addresses for the requested
chainIds, on the account fixed by the client bearer token. The body cannot select another account. An Idempotency-Key is recommended; reuse it only with identical chainIds.Authorizations
Short-lived account-bound token returned by POST /v2/client/auth/exchange.
Headers
Recommended retry key. Reuse only with identical chainIds.
Example:
"payment-request-001"
Body
application/json
One or more chain IDs. Supported deposit chain IDs: Arbitrum=42161, Ethereum=1, Base=8453, Polygon=137, BNB Smart Chain=56, Avalanche=43114, Robinhood Chain=4663, Tempo=4217, Solana=10103, Movement=10002, Tron=728126428, Bitcoin=10001.
Required array length:
1 - 12 elementsAvailable options:
42161, 1, 8453, 137, 56, 43114, 4663, 4217, 10103, 10002, 728126428, 10001 Example:
[42161, 8453]